%define module_name Alien-Tar-Size
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Base.pm) perl(Alien/Build.pm) perl(Alien/Build/MM.pm) perl(Alien/Build/Plugin/Build/Make.pm) perl(Alien/Build/Plugin/Fetch/LocalDir.pm) perl(Alien/Build/Plugin/Gather/IsolateDynamic.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.2
Release: alt2
Summary: tar LD_PRELOAD hack to compute size of tar file without reading and writing, provided as Alien pack...
Group: Development/Perl
License: perl
URL: https://github.com/G4Vi/MHFS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GA/GAHAYES/%{module_name}-v%{version}.tar.gz

%description
tar LD_PRELOAD hack to compute size of tar file without reading and writing, provided as an Alien package

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.2.2-alt2
- rebuild with perl 5.38

* Wed Dec 14 2022 Igor Vlasenko <viy@altlinux.org> 0.2.2-alt1
- updated by package builder

* Tue Jul 19 2022 Igor Vlasenko <viy@altlinux.org> 0.2.0-alt1
- updated by package builder

* Thu Jul 14 2022 Igor Vlasenko <viy@altlinux.org> 0.1.0-alt1
- initial import by package builder

